@import url("https://fonts.googleapis.com/css2?family=Mukta&display=swap");

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	letter-spacing: 2px;
}

body {
	background-image: linear-gradient(
		-45deg,
		rgb(0, 225, 255),
		rgb(204, 0, 255)
	);
	display: flex;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
	margin: 0;
	font-family: "Mukta", sans-serif;
}

button {
	color: #fff;
	background-color: rgb(0, 98, 163);
	border: none;
	cursor: pointer;
	font-size: 16px;
	border-radius: 25px;
	padding: 5px 15px;
}

select {
	width: 75px;
	padding: 5px;
	appearance: none;
	border: none;
	border-radius: 5px;
	background-color: #0099ff;
	box-shadow: 2px 2px 5px 2px #34495e;
}

select:focus,
button:focus {
	outline: 0;
}

.settings-btn {
	background-image: url(technical-support.png);
	background-repeat: no-repeat;
	background-size: contain;
	background-color: rgb(156, 156, 156, 0);
	box-shadow: 3px 3px 10px #a200ff;
	width: 50px;
	height: 50px;
	position: absolute;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}
.settings-btn:hover {
	box-shadow: unset;
	transform: scale(0.95);
}

.settings {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	background-color: rgba(41, 41, 41, 0.4);
	height: 70px;
	color: #fff;
	display: flex;
	align-items: center;
	justify-content: center;
	transform: translateY(-100%);
	transition: transform 0.3s ease-in-out;
	box-shadow: 0px 5px 10px rgb(94, 94, 94);
}

.settings.hide {
	transform: translateY(0);
}

.container {
	background-color: rgba(41, 41, 41, 0.6);
	padding: 20px;
	border-radius: 30px;
	box-shadow: 13px 13px 20px rgba(255, 255, 255, 0.3),
		-13px -13px 20px rgba(255, 255, 255, 0.3);
	color: rgb(192, 192, 192);
	position: relative;
	text-align: center;
	width: 550px;
}

h2 {
	background-color: rgba(0, 0, 0, 0.3);
	padding: 8px;
	border-radius: 4px;
	margin: 0 0 40px;
}

h1 {
	margin: 0;
}

input {
	border: 0;
	border-radius: 10px;
	font-size: 16px;
	width: 300px;
	padding: 12px 20px;
	margin-top: 10px;
}
input:focus {
	outline: none;
}
.score-container {
	position: absolute;
	top: 75px;
	right: 20px;
}

.time-container {
	position: absolute;
	top: 75px;
	left: 20px;
}

.end-game-container {
	background-image: linear-gradient(
		45deg,
		rgb(0, 225, 255),
		rgb(204, 0, 255)
	);
	display: none;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	position: absolute;
	border-radius: 30px;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}
